import { PackageManager } from '../package-manager';
import { LockFileData } from './lock-file-type';
import { ProjectGraph } from '../../config/project-graph';
/**
 * Check if lock file exists
 */
export declare function lockFileExists(packageManager?: PackageManager): boolean;
/**
 * Hashes lock file content
 */
export declare function lockFileHash(packageManager?: PackageManager): string;
/**
 * Parses lock file and maps dependencies and metadata to {@link LockFileData}
 */
export declare function parseLockFile(packageManager?: PackageManager): LockFileData;
/**
 * Maps lock file data to {@link ProjectGraphExternalNode} hash map
 * @param lockFileData
 * @returns
 */
export declare function mapLockFileDataToPartialGraph(lockFileData: LockFileData): ProjectGraph;
/**
 * Stringifies {@link LockFileData} content and writes it to lock file
 */
export declare function writeLockFile(lockFile: LockFileData, packageManager?: PackageManager): void;
/**
 * Prunes {@link LockFileData} based on minimal necessary set of packages
 * Returns new {@link LockFileData}
 */
export declare function pruneLockFile(lockFile: LockFileData, packages: string[], packageManager?: PackageManager): LockFileData;
