import { LockFileData } from './lock-file-type';
/**
 * Parses `yarn.lock` syml file and maps to {@link LockFileData}
 *
 * @param lockFile
 * @returns
 */
export declare function parseYarnLockFile(lockFile: string): LockFileData;
/**
 * Generates yarn.lock file from `LockFileData` object
 *
 * @param lockFileData
 * @returns
 */
export declare function stringifyYarnLockFile(lockFileData: LockFileData): string;
/**
 * Prunes the lock file data based on the list of packages and their transitive dependencies
 *
 * @param lockFileData
 * @returns
 */
export declare function pruneYarnLockFile(lockFileData: LockFileData, packages: string[]): LockFileData;
